* PACKAGE P2SHL0   !" 物理過程(2) 浅い積雲対流(ダミー)
*
*"  [HIS] 90/12/26(numaguti)
*
*
***********************************************************************
      SUBROUTINE SHLCOF     !" 浅い積雲対流：拡散型 , ダミー
     M         ( DFM   , DFH   , DFE   ,
     I           GDT   , GDQ   , GDP   , GDZ   ,
     W           GDTC  , GDQC  , ADIAF ,
     W           KBTM  , KTOP                   )
*
*   [PARAM] 
#ifdef SYS_IBMS
      INCLUDE   (ZCDIM)                      !" 格子点数, 波数
      INCLUDE   (ZCCOM)                      !" 標準物理定数
#else
#include        "zcdim.F"                    !" 格子点数, 波数
#include        "zccom.F"                    !" 標準物理定数
#endif
*
*   [MODIFY] 
      REAL       DFM   ( IDIM*JDIM, KMAX+1 ) !" 輸送係数：ｕ
      REAL       DFH   ( IDIM*JDIM, KMAX+1 ) !" 輸送係数：Ｔ
      REAL       DFE   ( IDIM*JDIM, KMAX+1 ) !" 輸送係数：ｑ
*
*   [INPUT] 
      REAL       GDT   ( IDIM*JDIM, KMAX )   !" 温度  Ｔ
      REAL       GDQ   ( IDIM*JDIM, KMAX )   !" 比湿  ｑ
      REAL       GDP   ( IDIM*JDIM, KMAX )   !" 気圧  Ｐ
      REAL       GDZ   ( IDIM*JDIM, KMAX )   !" 高度  Ｚ 
*
*   [WORK] 
      REAL       GDTC  ( IDIM*JDIM, KMAX )   !" 雲の温度
      REAL       GDQC  ( IDIM*JDIM, KMAX )   !" 雲の比湿
      REAL       ADIAF ( IDIM*JDIM, KMAX )   !" 乾燥断熱降温率
      INTEGER    KBTM  ( IDIM*JDIM )         !" 雲底レベル
      INTEGER    KTOP  ( IDIM*JDIM )         !" 雲頂レベル
*
*   [INTERNAL ONCE] 
      LOGICAL    OFIRST
      DATA       OFIRST / .TRUE. /
      SAVE
*
*   [ONCE] 
      IF ( OFIRST ) THEN
         WRITE ( 6,* ) ' SHALLOW CONVECTION REMOVED P2.1 DATE=90/12/26'
         OFIRST = .FALSE.
      ENDIF
*
      RETURN
      END
